import java.io.*; 
import Text; 

class H3AL8 
{ 
// kendi kendini cagiran (recursive) faktoriyel metodu
public static long faktoriyel(int x) 
{ 
if( x <= 1 ) 
return 1; 
else 
return x * faktoriyel( x - 1); 
} 

public static void main(String args[]) throws IOException 
{ 
Text cin=new Text(); 
int faktoriyelsayi; 
System.out.println("Bir tamsayi giriniz:"); 
faktoriyelsayi=cin.readInt(); 
System.out.println(faktoriyelsayi+" faktoriyel:" + faktoriyel(faktoriyelsayi)); 
} 
}
